setRegFiles {arf3DS4} | R Documentation

## Set registration files.

### Description

Link the files necessary for registration to the appropriate slots in the registration object. Registration requires a working copy of FSL. Files must be copied from the FSL directory to the /registration directory of the ARF experiment. By default the standard filenames used by FSL are used.

### Usage

    setRegFiles(registration, examp2stand = "example_func2standard.mat",
     examp2high = "example_func2highres.mat", high2stand = "highres2standard.mat",
     example_func = "example_func.nii.gz", highres = "highres.nii.gz",
     standard = "standard.nii.gz")

### Arguments

`registration` | Object of class `registration` to link to.
`examp2stand` | ARF to standard space affine transformation matrix file.
`examp2high` | ARF to high resolution affine transformation matrix file.
`high2stand` | High resolution to standard space affine transformation matrix file.
`example_func` | Nifti file in ARF native space.
`highres` | T1 weighted structural image.
`standard` | Standard space image (MNI152).

### Value

Returns a registration object with the appropriate slots filled.

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### References

See http://www.fmrib.ox.ac.uk/fsl/ on how to obtain FSL and licences.

### See Also

`registration`, `createRegs`, `setRegParams`

[Package arf3DS4 version 2.5-10 Index]